<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "modul/opname/edit.php",
			data	: "kode="+kode,					
			dataType	: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
				$("#txt_kodest").val(data.kodest);
				$("#txt_namast").val(data.namast);
				$("#txt_satuan").val(data.satuan);
				$("#txt_jmlstok").val(data.jmlstok);
				$("#txt_hgpokok").val(data.hgpokok);
				$("#txt_jmlopn").val(data.jmlopn);
				$("#txt_jmlsls").val(data.jmlsls);
				$("#txt_nilaisls").val(data.nilaisls);
			}
		});		
	}

	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		
		if (pilih==true) {
		var kode = ID;
		
		$.ajax({
			type	: "POST",
			url		: "modul/opname/hapus.php",
			data	: "kode="+kode,					
			success	: function(data){
				$("#info").html(data);
				tampil_data_detail();
			}
		});
		}
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/opname/tampil_data_detail.php?kode="+kode);
	}
	
</script>
<?php
include '../../inc/inc.koneksi.php';
$kode	= $_GET[kode];
echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Barang</th>
			<th>Satuan</th>
			<th>Harga Pokok</th>
			<th>Jml. Stok</th>			
			<th>Jml. Opname</th>
			<th>Selisih</th>
			<th>Nilai Selisih</th>
			<th>Aksi</th>
		</tr>";
		$sql = "SELECT * FROM st_opname WHERE kode_op='$kode' ORDER BY kode_op,no_urut";
						
		$query = mysql_query($sql);		
		$no=1;
		$total=0;
		while($r_data=mysql_fetch_array($query)){
			$kode 	= $r_data[kode_op].'-'.$r_data[no_urut];
			$total	= $total+$r_data[nilai_sls];
			
			echo "<tr>
					<td align='center'>$r_data[no_urut]</td>
					<td>$r_data[kode_st]</td>
					<td>$r_data[nama_st]</td>
					<td>$r_data[satuan]</td>
					<td align='right'>".number_format($r_data[hg_beli],2)."</td>
					<td align='right'>".number_format($r_data[jml_stok],2)."</td>
					<td align='right'>".number_format($r_data[jml_opn],2)."</td>
					<td align='right'>".number_format($r_data[jml_sls],2)."</td>
					<td align='right'>".number_format($r_data[nilai_sls],2)."</td>
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"edit_data('$kode')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>					
						<a href='javascript:void(0)' onClick=\"hapus_data('$kode')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' ></a>					
					</td>
				</tr>";
			$no++;			
		}
		
		echo "<tr>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td align='right'>Total</td>
				<td align='right'>".number_format($total,2)."</td>
			</tr>";		
	echo "</table>";
?>